Skip to content
The API may change between versions while TTX-Zone is 0.x.

Verify email

POST
/api/v1/auth/email/verify
curl --request POST \
--url https://example.com/api/v1/auth/email/verify \
--header 'Content-Type: application/json' \
--data '{ "token": "example" }'

Public: spends a confirmation link, from any browser.

Media typeapplication/json
EmailVerifyRequest
object
token
required
Token
string
>= 1 characters <= 128 characters

Example generated

{
"token": "example"
}

Successful Response

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}